# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    spectacle_image: '%kernel.project_dir%/public/uploads/spectacles/images'
    representation_photo: '%kernel.project_dir%/public/uploads/representation'
    user_photo: '%kernel.project_dir%/public/uploads/user/photo'
    exercise_photo: '%kernel.project_dir%/public/uploads/exercise/photo'
    cours_facture: '%kernel.project_dir%/public/uploads/cours/facture'
    operation_facture: '%kernel.project_dir%/public/uploads/operation/facture'
    news_background: '%kernel.project_dir%/public/uploads/news'
    document_file: '%kernel.project_dir%/public/uploads/document'
    document_sign_file: '%kernel.project_dir%/public/uploads/document/signed'
    facebook.api_id: '%env(FACEBOOK_APP_ID)%'
    facebook.api_secret: '%env(FACEBOOK_APP_SECRET)%'
    facebook.graph_version: '%env(FACEBOOK_GRAPH_VERSION)%'
    facebook.endpoint: '%env(FACEBOOK_ENDPOINT)%'
    facebook.access_token: '%env(FACEBOOK_ACCESS_TOKEN)%'
    querykey: '%env(QUERY_KEY)%'
    env: '%env(APP_ENV)%'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    App\Service\FacebookService:
        arguments:
            $facebookAPIId: '%facebook.api_id%'
            $facebookAPISecret: '%facebook.api_secret%'
            $facebookGraphVersion: '%facebook.graph_version%'
            $facebookEndpoint: '%facebook.endpoint%'
            $facebookAccessToken: '%facebook.access_token%'

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
